## Class template name_value_pair

zeep::name_value_pair — class used in describing members having a name and a value

## Synopsis

    // In header: <zeep/nvp.hpp>

    template<typename T>
    class name_value_pair {
    public:
      // construct/copy/destruct
      (, );

      // public member functions
       () ;
       () ;
       () ;
    };

## Description

This class is very similar to the one used in boost::serialization, it is used to bind a name to a member variable.

### `name_value_pair` public construct/copy/destruct

1.     ( name,  value);

### `name_value_pair` public member functions

1.      () ;

2.      () ;

3.      () ;